The Flashcards System  for Windows

This file, readme.wri contains installation instructions and an introductory 
tour of the Flashcards System.  Use the Windows Write program to print this 
document prior to installing the system.

The Flashcards System is published by You and Me Products.  It is a teaching 
tool designed to help teach elementary mathematics to children between the 
ages of 5 and 8.  It is provided as is and there are no warranties, 
expressed or implied.

If you have a problem installing The Flashcards System, we would like to 
help you.  Please contact You and Me Products for assistance in one of these 
ways:
	Our telephone number  is (206)574-2689. If you leave a message, 
	please give us permission to call you back collect.
	Our postal address is P.O. Box 61488,  Vancouver, WA, USA, 98666.
	Our Compuserve address is 73140,1645.



Installation

System requirements

PC-compatible computer, Microsoft Windows 3.1, capability of 640 by 480, 
16 color VGA display, 1.5 megabytes of free disk space.  Sound board is not 
required, but desireable.

Setup procedure

*** PD Selections note: After installation from this CD, do the following:

1.  Start Microsoft Windows version 3.1.
2.  Make sure that no other applications are running.
3.  Insert the Flashcards System Release Diskette into drive A.
4.  From Program Manager, select File menu and choose Run.
5.  Type a:\setup and press the Enter key.

A box which says Initializing Setup will be displayed.  While this box is 
being displayed, several files are being expanded and written to your hard 
disk in both the \windows and the \windows\system directories.  The file 
setup1.exe goes into the \windows directory.  The files ver.dll, 
setupkit.dll, ddeml.dll, and vbrun200.dll go into the \windows\system 
directory.  Most of the files on the release diskette are compressed to save 
space.  The setup programs expand them to their normal size as they are 
being written to your hard disk.

A larger window called "Flashcards Setup" is displayed, asking you to either 
accept the default directory and path for the Flashcards System or enter 
another directory and path.

6.  We suggest that you click on the continue button to accept the default 
directory.

The setup program will create the directory, if necessary, and will then 
expand the files and install them.  Most of the files will be written to the 
new directory but the files named grid.vbx, mci.vbx, msmasked.vbx and 
threed.vbx will be written to the \windows\system directory.

After all of the files have been successfully installed, the setup program 
will create a new group called Flashcards in the Program Manager.  The icons 
for the programs Mathplay, Parent / Teacher Controls, and Flashcards for 
SUSIE will be created.  After this is done, the installation is complete.

Before attempting to use the Flashcards System, we recommend that you go 
through the following introductory tour, step by step, to understand the 
features of the programs.

Introductory Tour

The Flashcards System is a tool designed to help teach elementary 
mathematical concepts to children from kindergarten through the 3rd grade.  
There are 3 programs which make up the Flashcards System.  Mathplay is where 
the parent and child can together explore graphical representations of 
numbers and mathematical operations.  The Flashcards program presents the 
child with problems to be solved.  The Parent / Teacher Controls program 
allows the parent to specify problems for the child. 

The first program on our tour is the Mathplay program.  From the Program 
Manager, double click the Mathplay icon in the Flashcards group.  The 
Mathplay main menu will be displayed.

How to use on-line documentation

The Flashcards system is equipped with context sensitive on-line 
documentation.  This means that no matter where you are in the system, if 
you ask for help, either by clicking on the "?" button or by keying F1, the 
standard Windows Help program will come up with the appropriate topic.  In 
order to demonstrate this, we will use the Mathplay main menu.

Clicking the "?" button

Click on the "?" button, which is in the right lower corner.  The Mathplay 
Program help topic is displayed.  Notice that some words are underlined, and 
a different color than the other words.  When you move the mouse pointer 
over those words it changes from an arrow to a finger pointing.  If you 
click on it while the finger is pointing, the Help program will "jump" to 
the new topic.  Once you are there, you can always return to the previous 
topic by clicking on the "Back" button near the top of the screen.

The easiest way to leave the Help program and return to the Flashcards 
System is to click on the minimize button, which is the down arrow in the 
right upper corner of the Help screen.

Using the F1 key

Another method of getting documentation for a specific topic is to shift the 
focus to a command button or other screen object and then to press the F1 
key.  

Let's talk about focus.  In order to watch the focus shift in the Mathplay 
main menu, press the Tab key repeatedly.  Notice that only one of the 
command buttons at a time has a black line around it.  The button with the 
black line has the focus.  Pressing the Tab key moves the focus from one 
button to another.  Now try holding the Shift key down at the same time as 
pressing the Tab key.  Notice that the focus now moves in the reverse order.

Move the focus to the Number Line button and then press F1.  The Number Line 
Screen help topic is displayed.  After you are done reading, exit help to 
return to the Mathplay main menu.

You may use the F1 key to get to on-line documentation wherever you happen 
to be in the Flashcards System.

Number Line screen

From the Mathplay main menu, click on the Number Line button.  The Number 
Line screen is displayed.  Notice the addition symbol next to the second 
operand.

Set the values of operand 1 and operand 2

The term "operand" refers to one of the numbers in a math problem.  Click on 
the right arrow of the upper scrollbar.  Notice that the number 1 is 
displayed in the blue box and a red line from 0 to 1 is displayed in the 
upper number line.  Click it until the value is 4.  Now click on the lower 
scrollbar and set the value of the second operand to 3.  You have defined 
the addition problem 4 plus 3.

Reveal the answer

Click on the Reveal button and the answer is revealed.  Try increasing one 
of the operands until the answer is 11.  There are 3 scalings in the number 
line: 0 to 10, 0 to 25, and 0 to 100.  You just crossed into the second 
scaling.  Decrease an operand to make the answer 10 and you will return to 
the first scale.  Try the Hide button.

Generate new problems


Click on the addition symbol button under the "New Problem" label.  It will 
generate a random addition problem within the current scaling.  In addition 
to generating new problems, these buttons allow you to change operations.  
Try clicking on the subtraction symbol.  It will generate a random 
subtraction problem.  Notice that the symbol next to operand 2 has changed 
and that the answer number line is thicker.  Click on the Reveal button to 
see how subtraction is represented.  Generate new problems for multiplication 
and division to see how they are represented.

Return to the Mathplay main menu by clicking on the Stop button in the Number 
Line screen.

Apples screen

From the Mathplay main menu, click on the Apples button.

Numerical representations

The Apples screen is designed to introduce the decimal number system.  Click 
on the right arrow of the scroll bar for operand 1 until the number increases 
from 9 to 10.  The symbol for 10 shows a set of 10 apples.  Now click on the 
scroll bar for operand 1 between the scrolling button and the right arrow to 
increment the number by 10 for each click.  Bring it up to 100 and see that 
the symbol shows 10 10's.  Set up the addition problem 87 + 34 and we will 
explore the various Reveal options.

Various ways to Reveal

Notice that there are 4 reveal buttons with arrow icons.  The rightmost 
button, with 3 arrows on it, simply displays the answer.  Try it and then 
hide the answer.  The 3 buttons on the left are there to allow you to look 
at the steps involved in solving the problem.  Notice that the leftmost 
button, the backward step button, is shadowy, indicating that it is not 
available.  The second button, the forward step button, with the single 
arrow pointing right, shows you each step of the calculation, one at a 
time.  Click it and notice that now the backward step button is available.  
You can use the backward step to have another look at what just happened.  
Click on the forward step button repeatedly until the answer is fully 
revealed.  Now click just once on the button with the 2 right arrows and 
watch it reveal all of the steps in turn.

Examine the representations of subtraction, multiplication and division

Just as in the number line screen, you may use the New Problem buttons to 
generate new problems and change operations.  For each operation, spend some 
time generating several problems, manipulating the operands, and stepping 
through the solutions as they are revealed.

When you are done, click on the Stop button to return to the Mathplay main 
menu.

Tables screen

From the Mathplay main menu, click on the Tables button.

The Tables screen uses the same screen controls that you have used in the 
previous screens.  Manipulate the operands and change to each of the 
operations to see how this screen may be used.

When you are done, click on the Stop button to return to the Mathplay main 
menu.  From the Mathplay main menu, click on the Stop button to leave the 
Mathplay program.

Flashcards program

The second of three programs on our tour is the Flashcards program.  This is 
where the child is presented with problems generated to your specifications.  
Double click the Flashcards for SUSIE icon from the Program Manager.  
Chances are that your child's name is not Susie.  Later on in this tour we 
will visit the Parent / Teacher Controls program where we can set up the 
Flashcards program for each of your children individually.  For now, we will 
make believe that we are Susie, in order to understand how to use the 
Flashcards program.  Click on the Start button and the main Flashcards 
screen is displayed.

Answer entry

The problem in front of you was generated in accord with the problem 
generating specifications for the student "Susie".  Answers may be entered 
either with the mouse and keypad on the screen or with the numeric keys on 
the keyboard.  Enter a correct answer, followed by the Enter button and see 
the feedback.  If your computer is equipped with a sound board, you will 
hear feedback also.  Once a correct answer is entered, a new problem is 
generated in a few seconds.  

Enter a few more correct answers to see how the feedback changes.  Notice 
that, as correct answers are entered, points are accumulated.  Quickly 
entered correct answers get bonus points.  After a new problem has been 
generated, look at the Timer and Points Available to see how the bonus 
points work.  When the Timer reaches zero, bonus points are no longer 
available.

Now enter an incorrect answer.  You will receive "incorrect" feedback and 
get the opportunity to enter the correct answer.  The program will not 
automatically generate a new problem until the correct answer is entered.

Available supports

Try clicking on the button for one of the support screens (Number Line, 
Apples or Tables).  Notice that the scroll bars and New Problem buttons have 
been removed.  The supports are there only to illustrate the current 
problem.

If you wish, you can get more details about how the Flashcards program works 
by using the on-line documentation.  When you are done, click on the Stop 
button to leave the Flashcards program.


Parent / Teacher Controls Program

The third and last program on our tour is the Parent / Teacher Controls 
program.  It provides the parent with the tools needed to assure that the 
child is both successful and challenged in the Flashcards program.  Double 
click on the sailboat icon in the Program Manager.

Parameters for problem generation  

The screen that you are looking at contains all of the specifications needed 
to automatically generate the problems we have already seen in the 
Flashcards program.  There are separate areas defined for each of the 4 
operations and within each of these areas there are many parameters to be 
set.  Use the Tab key to move the focus to the Frequency parameter in the 
Addition area and press the F1 key to find out what this parameter is for.  
Minimize the help screen and you are back at the controls screen.  This kind 
of context sensitive help is available for each of the parameters.  

Audit of Flashcard session

Now, let's see how our student Susie is doing in the Flashcards program.  
Click on the Audit menu option in the menu bar atop the screen and notice 
that today's date is the only option available under it (You did take the 
tour of the Flashcards program, didn't you?).  Click on the date and the 
audit window is displayed.  Try clicking on each of the Audit Type options.  
Look at the Details screen to review everything you did in the Flashcards 
program and when you did it.  If there is more than 1 screenful of activity, 
use the vertical scroll bar at the right to move through the history.  After 
evaluating the activity, you may decide to change the problem generating 
parameters to keep Susie more challenged!  Click on the Stop button to exit 
the Audit window.

Add a custom feedback line

Click on the Feedback menu option and choose Correct to see the feedbacks 
available for correct answers.  Let's add a new feedback.  Click on the 
"Add" button to the left of the first blank line.  Notice that the text 
boxes above are now active for the line you have chosen.  In the Feedback 
Text box, enter something positive, using your child's name to personalize 
it.  Now click on the Add button again and you have added a new feedback for 
correct answers.  Click on the OK button to return to the controls window.

Set up your child as a student

Let's say that your child's name is Robert, not Susie.  Click on the Student 
menu option and choose the Save As option.  Enter Robert's name.  The 
Flashcards System now has 2 students.  Click on the Student menu again and 
choose Open.  Select Susie and when she is loaded, click on the Student menu 
again and choose Delete.  A dialog box will make sure that this is OK.  
Click on the OK button to delete Susie.  Now click on the Student menu again 
and choose Exit.  Return to the Program Manager and you will see an icon for 
Flashcards for ROBERT and nothing for Susie.  The Parent / Teacher Controls 
program has taken care of managing your icons in the Program Manager.  
Double click on the Flashcards icon and notice that the program title is now 
Flashcards for Robert.

Help

Click on the Help menu option and choose Contents.  This is the "root" of 
the hierarchical documentation structure.  All of the on-line documentation 
topics are available by using the green "jump" topics.  Explore the topics 
that interest you.  If you get lost within the help system, use the Back 
button, the History button or the Contents button to get back to where you 
want to be.  Exit the help system.

If you have a "shareware" version of the Flashcards System, and would like 
to register, click on the Help menu option and choose Shareware Registration.

This is the end of the introductory tour of the Flashcards System.
